-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local c_object = require 'mc.orm.object'

local c_storage_config = c_object('StorageConfig')
local c_controller = c_object('Controller')
local c_nvme = c_object('Nvme')
local c_drive = c_object('Drive')
local c_virtual_vpd_connect = c_object('VirtualVPDConnect')
local c_drive_info_table = c_object('DriveInfoTable')
local c_drives_table_info = c_object('DrivesTableInfo')
local c_global_storage_config_table = c_object('GlobalStorageConfigTable')
local c_volume = c_object('Volume')
local c_diskarray = c_object('DiskArray')
local c_storage_setting = c_object('StorageSetting')

function c_storage_config.create_mdb_object(value)
    return value
end

function c_controller.create_mdb_object(value)
    return value
end

function c_nvme.create_mdb_object(value)
    return value
end

function c_drive.create_mdb_object(value)
    return value
end

function c_virtual_vpd_connect.create_mdb_object(value)
    return value
end

function c_drive_info_table.create_mdb_object(value)
    return value
end

function c_drives_table_info.create_mdb_object(value)
    return value
end

function c_global_storage_config_table.create_mdb_object(value)
    return value
end

function c_volume.create_mdb_object(value)
    return value
end

function c_diskarray.create_mdb_object(value)
    return value
end

function c_storage_setting.create_mdb_object(value)
    return value
end